org.apache.lucene.xmlparser.builders

## Class BooleanFilterBuilder

- java.lang.Object
- - org.apache.lucene.xmlparser.builders.BooleanFilterBuilder

- All Implemented Interfaces:
    FilterBuilder

      public class BooleanFilterBuilder
      extends java.lang.Object
      implements FilterBuilder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanFilterBuilder(FilterBuilder factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Filter` | `getFilter(org.w3c.dom.Element e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanFilterBuilder

          public BooleanFilterBuilder(FilterBuilder factory)

  - ### Method Detail

    - #### getFilter

          public Filter getFilter(org.w3c.dom.Element e)
                           throws ParserException

      Specified by:
        `getFilter` in interface `FilterBuilder`
      Throws:
        `ParserException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.